### Method

# EBackend SourceRegistryServer ref_source

since: 3.6

#### Declaration [src]

    ESource*
    e_source_registry_server_ref_source (
      ESourceRegistryServer* server,
      const gchar* uid
    )

#### Description [src]

Looks up an `ESource` in `server` by its unique identifier string.

The returned `ESource` is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

Available since: 3.6

#### Parameters

`uid`

  Type: `const gchar*`

  A unique identifier string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ESource`

An `ESource`, or `NULL` if no match was found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.